org.apache.solr.common.params

## Class MultiMapSolrParams

- java.lang.Object
- - org.apache.solr.common.params.SolrParams
  - - org.apache.solr.common.params.MultiMapSolrParams

- All Implemented Interfaces:
    Serializable, MapSerializable

      public class MultiMapSolrParams
      extends SolrParams

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,String[]>` | `map`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiMapSolrParams(Map<String,String[]> map)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addParam(String name, String[] vals, Map<String,String[]> map)`
    `static void` | `addParam(String name, String val, Map<String,String[]> map)`
    `static Map<String,String[]>` | `asMultiMap(SolrParams params)` Returns a MultiMap view of the SolrParams as efficiently as possible.
    `static Map<String,String[]>` | `asMultiMap(SolrParams params, boolean newCopy)` Returns a MultiMap view of the SolrParams.
    `String` | `get(String name)` returns the String value of a param, or null if not set
    `Map<String,String[]>` | `getMap()`
    `Iterator<String>` | `getParameterNamesIterator()` returns an Iterator over the parameter names
    `String[]` | `getParams(String name)` returns an array of the String values of a param, or null if none

    - ### Methods inherited from class org.apache.solr.common.params.SolrParams

      `fpname, get, getAll, getAll, getBool, getBool, getDouble, getDouble, getFieldBool, getFieldBool, getFieldDouble, getFieldDouble, getFieldFloat, getFieldFloat, getFieldInt, getFieldInt, getFieldParam, getFieldParam, getFieldParams, getFloat, getFloat, getInt, getInt, getLong, getLong, getPrimitiveBool, getPrimitiveFieldBool, getPrimitiveFieldFloat, getPrimitiveInt, required, toFilteredSolrParams, toMap, toMap, toMultiMap, toNamedList, toQueryString, toSolrParams, toString, wrapAppended, wrapDefaults`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### map

          protected final Map<String,String[]> map

  - ### Constructor Detail

    - #### MultiMapSolrParams

          public MultiMapSolrParams(Map<String,String[]> map)

  - ### Method Detail

    - #### addParam

          public static void addParam(String name,
                                      String val,
                                      Map<String,String[]> map)

    - #### addParam

          public static void addParam(String name,
                                      String[] vals,
                                      Map<String,String[]> map)

    - #### get

          public String get(String name)

      Description copied from class: `SolrParams`
      returns the String value of a param, or null if not set
      Specified by:
        `get` in class `SolrParams`

    - #### getParams

          public String[] getParams(String name)

      Description copied from class: `SolrParams`
      returns an array of the String values of a param, or null if none
      Specified by:
        `getParams` in class `SolrParams`

    - #### getParameterNamesIterator

          public Iterator<String> getParameterNamesIterator()

      Description copied from class: `SolrParams`
      returns an Iterator over the parameter names
      Specified by:
        `getParameterNamesIterator` in class `SolrParams`

    - #### getMap

          public Map<String,String[]> getMap()

    - #### asMultiMap

          public static Map<String,String[]> asMultiMap(SolrParams params)

      Returns a MultiMap view of the SolrParams as efficiently as possible. The returned map may or may not be a backing implementation.

    - #### asMultiMap

          public static Map<String,String[]> asMultiMap(SolrParams params,
                                                        boolean newCopy)

      Returns a MultiMap view of the SolrParams. A new map will be created if newCopy==true

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.